FROM php:8.3-apache

RUN a2enmod rewrite \
    && curl -sSLf -o /usr/local/bin/install-php-extensions https://github.com/mlocati/docker-php-extension-installer/releases/latest/download/install-php-extensions \
    && chmod +x /usr/local/bin/install-php-extensions \
    && install-php-extensions pdo_mysql bcmath curl xml mbstring zip intl opcache @composer \
    && rm /usr/local/bin/install-php-extensions \
    && echo 'error_reporting=E_ALL' >> /usr/local/etc/php/conf.d/error_reporting.ini
